Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Welcome to the CollectiveAccess support forum! Here the developers and community answer questions related to use of the software. Please include the following information in every new issue posted here:

  1. Version of the software that is used, along with browser and version

  2. If the issue pertains to Providence, Pawtucket or both

  3. What steps you’ve taken to try to resolve the issue

  4. Screenshots demonstrating the issue

  5. The relevant sections of your installation profile or configuration including the codes and settings defined for your local elements.


If your question pertains to data import or export, please also include:

  1. Data sample

  2. Your mapping


Answers may be delayed for posts that do not include sufficient information.

upgrading from 1.2

Hi!

We have a couple of databases and one of them has been left behind since it's been tied to an old website. I have now decided to move forward and would like to upgrade to the latest version. Are there going to problems going from 1.2 to 1.7 directly? Is this possible?

Comments

  • Yes it's possible to go from 1.2 to 1.7, but if you try to do it directly with 1.7 you may get SQL errors during the update process. The errors shouldn't be difficult to resolve but if they happen it'll require some handwork. If you go from 1.2 to 1.4 or 1.5, then to 1.7 you are less likely to run into issues. If you do post them here and I can walk you through resolving them.

    I recently had to update 5 systems running version 0.6 since 2009 without interruption. There were a few errors in the process, but it all worked in the end without data loss and didn't take that long.

    seth

  • Everything went great! Just a bit of a hassle when moving up from php 5.3 to php 7 but in the end it's all good.

  • Nice. You did it yourself?

  • Yes, with some help from google.

  • Great. Want a job? ;-)

  • I don't know what you had in mind but I'm sure I'm not really qualified. And I already work too much anyway :smiley:
  • edited August 2

    Thus the wink :-) I'm happy to hear that a 1.2 -> 1.7 migration isn't too painful.

Sign In or Register to comment.